%%
%% This is file is based on `cg-thesis.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% lmedoc.dtx  (with options: `package')
%% 
%% Copyright (C) 2000 by Dietrich Paulus. All rights reserved.
%% 
%%
%% IMPORTANT NOTE: this file is edited and adapted MANUALLY
%% to the use of CG, Computer Graphics Group, Siegen
%% Also the files boldmath.sty, math.sty, fixmath.sty,
%% twolang.sty, strukto.sty, and rcs.sty may be edited and
%% adapted manually.
%%
%% This file is not renamed - and only for internal use!
%%
%% 
%%
%%\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cg-thesis}[2008/21/08 v1.0 CG Thesis]
%\def\BaseClass{report}
%\LoadClass[twoside,12pt]{\BaseClass}     % 12 pt base class report
%\RequirePackage{a4wide}          % page layout

%ps ist in A4. Pdf allerdings nicht: obere rand fehlt, daher anschliessend in gs
%C:\Program Files\gs\gs8.53\bin>
%gswin32c.exe -q -sDEVICE=pdfwrite -sPAPERSIZE=a4 -sOutputFile="da02".pdf -dNOPAUSE "da00".ps
%dann ist das Ergebnis auch ein Din A 4 pdf
%\LoadClass[...a4paper] a4paper bewirkt, dass ps-datei auf A4 Format angelegt wird
\def\BaseClass{report}
\LoadClass[oneside,11pt,a4paper]{\BaseClass}     % 12 pt base class report
\RequirePackage{a4wide}



%\documentclass[12pt,a4paper,a4wide]{report}



%\def\BaseClass{report}
%\LoadClass[oneside,12pt]{\BaseClass} 

%\RequirePackage{a4wide}
%\usepackage{a4}




\RequirePackage{rcs}             % revision control is helpful
\RequirePackage{bm}        % standard math notation (fonts)
%\RequirePackage{fixmath}        % standard math notation (fonts): %auskommentiert von maik, erzeugt fehler bei bold greek letters
\RequirePackage{amsmath}            % standard math notation (vectors/sets/...)
\RequirePackage{math}            % standard math notation (vectors/sets/...)
%\RequirePackage{mathptmx} %maik: new from vis paper
\RequirePackage{graphicx}        % eps graphics support
\RequirePackage{times}           % scalable fonts
\RequirePackage{setspace}  % set correct baselinestretch
\RequirePackage{twolang}         % will load german.sty
\def\Type{0}
\DeclareOption{german}{\selectlanguage{\german}}
\DeclareOption{english}{\selectlanguage{\english}}
\DeclareOption{da}{\gdef\Type{1}}
\DeclareOption{sa}{\gdef\Type{2}}
\DeclareOption{mt}{\gdef\Type{3}}
\DeclareOption{bt}{\gdef\Type{4}}
\DeclareOption{rep}{\gdef\Type{5}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{\BaseClass}}
\ProcessOptions\relax
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\typeout{Type \Type}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\onehalfspacing
\let\oldChapter=\chapter
\def\chapter{\cleardoublepage\oldChapter}
\pagestyle{headings}
\DeclareGraphicsRule{.ps.gz}{eps}{.ps.bb}{`gunzip -c #1}
\DeclareGraphicsRule{.cps.gz}{eps}{.cps.bb}{`gunzip -c #1}
\DeclareGraphicsRule{.eps.gz}{eps}{.eps.bb}{`gunzip -c #1}
\DeclareGraphicsRule{.ps.Z}{eps}{.ps.bb}{`gunzip -c #1}
\DeclareGraphicsRule{.cps.Z}{eps}{.cps.bb}{`gunzip -c #1}
\DeclareGraphicsRule{.eps.Z}{eps}{.eps.bb}{`gunzip -c #1}
\DeclareGraphicsExtensions{.ps,.eps,.ps.Z,.eps.Z,.ps.gz,.eps.gz,.ps.bb,.eps.bb}
\makeatletter
\def\city#1{\def\@city{#1}}
\def\birthdate#1{\def\@birthdate{#1}}
\def\advisor#1{\def\@advisor{#1}}
\def\startthesis#1{\def\@startthesis{#1}}
\def\endthesis#1{\def\@endthesis{#1}}
\def\deckblatt{\bgroup\def\baselinestretch{1.0}%
    \def\Titel##1{\gdef\@Titel{##1}\typeout{Defining Titel}}
    \def\Name##1{\gdef\@Name{##1}}
    \def\Vorname##1{\gdef\@Vorname{##1}}
    \def\Geburtsort##1{\gdef\@Geburtsort{##1}}
    \def\Geburtsdatum##1{\gdef\@Geburtsdatum{##1}}
    \def\BetreuerPrim##1{\gdef\@BetreuerPrim{##1}}
    \def\BetreuerSec##1{\gdef\@BetreuerSec{##1}}
    \def\Studienfach##1{\gdef\@Studienfach{##1}}
    \def\Start##1{\gdef\@Start{##1}}
    \def\Ende##1{\gdef\@Ende{##1}}
}
\def\enddeckblatt{%
\clearpage
\thispagestyle{empty}
\vspace*{1.6cm}
\begin{center}
\def\baselinestretch{1.5}
\Large
{\bf \textsf{\@Titel}}\\[20mm]
\large\bfseries\textsf{
 \ifnum\language=\l@english\relax
   \ifnum\Type=1 Diploma Thesis\fi
   \ifnum\Type=2 Studienarbeit\fi
   \ifnum\Type=3 Masters Thesis\fi
   \ifnum\Type=4 Bachelor Thesis\fi
 \else
   \ifnum\Type=1 Diplomarbeit\fi %
   \ifnum\Type=2 Studienarbeit\fi
   \ifnum\Type=3 Masterarbeit\fi
   \ifnum\Type=4 Bachelorarbeit\fi
 \fi~\\[5mm]
 \ifnum\language=\l@english in \@Studienfach \else im Fach \@Studienfach \fi
 } ~\\[20mm]

\normalsize
\ifnum\language=\l@english submitted by \else vorgelegt von \fi% \\
\vskip 0.8cm plus 0.2cm minus 0.5cm\relax
\end{center}
\begin{center}
\@Vorname\ \@Name \\[2mm]
\ifnum\language=\l@english born on\else Geboren am\fi~
\@Geburtsdatum\ in \@Geburtsort \\% [45mm]
\vfill
\end{center}
\begin{center}
\ifnum\language=\l@english\relax
  Written at
\else
  Angefertigt am
\fi
\\[5mm]
\ifnum\language=\l@english\relax
  Computer Graphics and Multimedia Systems Group\\
  Faculty 12\\
  University of Siegen, Germany.\\[5mm]
\else
  Lehrstuhl f\"ur Computergraphik und Multimediasysteme\\
  Naturwissenschaftlich-Technische Fakult\"at\\
  Universit\"at Siegen\\[5mm]
\fi
\@ifundefined{ZweitInstitut}{}{%
\ifnum\language=\l@english\relax
  in Cooperation with
\else
  in Zusammenarbeit mit
\fi
\\[5mm]
  \ZweitInstitut\\[10mm]
}
\end{center}
\vfill
\begin{flushleft}
\ifnum\language=\l@english\relax Advisors\else Betreuer\fi:
\begin{itemize}
\item[] \@BetreuerPrim
\item[] \@BetreuerSec
\end{itemize} ~\\[4mm]
\ifnum\language=\l@english\relax Started on\else Beginn der Arbeit\fi: \@Start \\[2mm]
\ifnum\language=\l@english\relax Finished on\else Abgabe der Arbeit\fi: \@Ende \\
\end{flushleft}
\clearpage
\egroup}
\endinput
%%
%% End of file `cg-thesis.cls'.
